<template>
  <v-dialog
    width="400"
    persistent
    v-model="dialog"
  >
    <RoleForm
      :role="role"
      :dialog="dialog"
      @updated="updated()"
      @closed="dialog = false"
    ></RoleForm>
  </v-dialog>
</template>

<script>
export default {
  props: [
    'role',
  ],

  components: {
    RoleForm: () => import('./partials/roleForm'),
  },

  data() {
    return {
      dialog: false,
    };
  },

  watch: {
    role(value) {
      this.dialog = Boolean(value);
    },
  },

  methods: {
    updated() {
      this.dialog = false;
      this.$emit('updated');
    },
  },
};
</script>
